

from BaseDataMaintenance.model.ots.document_extract2 import *
from BaseDataMaintenance.model.ots.document_tmp import *
from BaseDataMaintenance.model.ots.document import *


from BaseDataMaintenance.dataSource.source import getConnect_ots


import json
ots_client = getConnect_ots()
docid = 244774657
a = {"name":"双腿链条索具&DSL-WLL3TON\载荷3t"}
test_str = json.dumps(a,ensure_ascii=False)
print(test_str)

_d = {document_extract2_docid:docid,
      document_extract2_partitionkey:docid%500+1,
      document_tmp_status:0}
_dtmp = Document_tmp(_d)
_dtmp.update_row(ots_client)

# _extract = Document_extract(_d)
# _extract.setValue(document_extract2_extract_json,"{}",True)
# _extract.setValue(document_extract2_industry_json,"{}",True)
# _extract.setValue(document_extract2_status,1,True)
# _extract.setValue(document_extract2_extract_json,_json,True)
# _extract.update_row(ots_client)

#
# _p.update_row(ots_client)